# {{ ansible_managed }}
#

RMI_SERVER_NAME="-Djava.rmi.server.hostname={{ ansible_fqdn }}"
SPRING_BOOT_MEMORY=-Xmx{{ heap_memory }}m
SPRING_BOOT_LOGGING=" -Dlogging.file.name=/var/log/coremedia/{{ caefeeder }}/{{ caefeeder }}.log"
SPRING_BOOT_COREM_HOME=" -Dcorem_home={{ coremedia_home_directory }}/{{ caefeeder }}/corem_home"
SPRING_BOOT_JMXREMOTE=""
SPRING_BOOT_OOM=""
SPRING_BOOT_NETWORK=""
SPRING_BOOT_OPTS="-Djava.security.egd=file:/dev/./urandom"

{% for k,v in spring_boot.items() %}
{% if k == "jmx" %}
{% if jmx_monitoring_enabled %}
SPRING_BOOT_JMXREMOTE=" {{ v | join( ' ') }}"
{% endif %}
{% endif %}
{% if k == "oom_handling" %}
SPRING_BOOT_OOM=" {{ v | join( ' ' ) }}"
{% endif %}
{% if k == "network" %}
SPRING_BOOT_NETWORK=" {{ v | join( ' ') }}"
{% endif %}
{% endfor %}
